Index: extensions/user_tags/language/da_DK/description.txt
===================================================================
--- extensions/user_tags/language/da_DK/description.txt	(revision 20305)
+++ extensions/user_tags/language/da_DK/description.txt	(revision 20305)
@@ -0,0 +1,1 @@
+Giver besøgende mulighed for at tilføje tags til billeder.
Index: extensions/user_tags/language/da_DK/help/readme.html
===================================================================
--- extensions/user_tags/language/da_DK/help/readme.html	(revision 20305)
+++ extensions/user_tags/language/da_DK/help/readme.html	(revision 20305)
@@ -0,0 +1,8 @@
+<h2>Dokumenation</h2>
+
+<h3>Anvendelse</h3>
+<p>Hvis en bruger har "tilføj"-tilladelsen og hvis tags vises på billedssiden, kan han eller hun redigere relaterede tags ved at klikke på "rediger"-ikonen.</p>
+
+<h3>Tilladelser</h3>
+<p>Tilladelser er knyttet til brugeres status (gæst, generel, almindelig bruger, administrator, webmaster). Brugere kan foretage en handling (tilføj, slet), hvis de har en status, der er større end den definerede status.</p>
+<p>Brugere kan slette tags de har tilføjet, før de indsender formularen.  Det gælder også hvis du ikke ønsker, at brugere skal kunne slette relaterede tags.</p>
Index: extensions/user_tags/language/da_DK/plugin.lang.php
===================================================================
--- extensions/user_tags/language/da_DK/plugin.lang.php	(revision 20305)
+++ extensions/user_tags/language/da_DK/plugin.lang.php	(revision 20305)
@@ -0,0 +1,37 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Add permission updated'] = 'Tilføjelsestilladelse opdateret';
+$lang['Be careful, whatever the configuration value is, new tag can be deleted anyway'] = 'Vær omhyggelig, uanset hvad opsætningsværdien er, kun et nyt tag under alle omstændigheder slettes';
+$lang['Click to add tags'] = 'Klik for at tilføje et tag';
+$lang['Delete permission updated'] = 'Sletningstilladelse opdateret';
+$lang['Start to type'] = 'Begynd at skrive';
+$lang['Tags updated'] = 'Tags opdateret';
+$lang['That plugin allow visitors to add tags to image.'] = 'Plugin\'en gør det muligt for besøgende at tilføje tags til billeder.';
+$lang['Update tags'] = 'Opdater tags';
+$lang['Who can add tags?'] = 'Hvem kan tilføje tags?';
+$lang['Who can delete related tags?'] = 'Hvem kan slette relaterede tags?';
+$lang['You are not allowed to add nor delete tags'] = 'Du har ikke tilladelse til at tilføje eller slette tags';
+$lang['You are not allowed to add tags'] = 'Du har ikke tilladelse til at tilføje tags';
+$lang['You are not allowed to delete tags'] = 'Du har ikke tilladelse til at slette tags';
+$lang['You can choose which users (per status) can add and delete tags.'] = 'Du kan vælge hvilke brugere (pr. status), der kan tilføje eller slette tags.';
+?>