Index: trunk/language/et_EE/help/configuration.html
===================================================================
--- trunk/language/et_EE/help/configuration.html	(revision 20218)
+++ trunk/language/et_EE/help/configuration.html	(revision 20319)
@@ -37,40 +37,39 @@
   class="pwgScreen">picture.php</span> salvestatakse <code>history</code> tabelis.</p>
   
-  <p>Visits will be shown in <span  class="pwgScreen">Administration &raquo; Tools &raquo; History</span>.</p>
+  <p>Külastusi näidatakse:<span  class="pwgScreen">Administratsioon &raquo; Tööriistad &raquo; Ajalugu</span>.</p>
 
 <ul>
-  <li><strong>Save page visits by guests</strong>: page visits by guests will be recorded.</li>
+  <li><strong>Salvesta lehe külastuste arv külaliste põhiselt</strong>: külaliste külastused lehele salvestatakse .</li>
 
-  <li><strong>Save page visits by users</strong>: visits by registrered users will be recorded.</li>
+  <li><strong>Salvesta lehe külastuste arv kasutajate põhiselt</strong>: registreeritud kasutajate külastused salvestatakse.</li>
 
-  <li><strong>Save page visits by administrators</strong>: page visits by administrators will be recorded.</li>
+  <li><strong>Salvesta lehe külastuste arv administraatorite põhiselt</strong>: administraatorite külastused salvestatakse.</li>
 
 </ul>
 
-<h3>Comments</h3>
+<h3>Kommentaarid</h3>
 <ul>
 
-  <li><strong>Comments for all</strong>: Even unregistered guest can post comments.</li>
+  <li><strong>Kommentaarid kõigile</strong>: Ka mitteregistreeritud kasutajad võivad kommenteerida.</li>
 
-  <li><strong>Number of comments per page</strong>.</li>
+  <li><strong>Kommentaaride arv lehel</strong>.</li>
 
-  <li><strong>Validation</strong>: an administrator must validate users comments before they become visible on the site. User comments validation
-  takes place in screen <span class="pwgScreen">Administration &raquo; Tools &raquo; Pending Comments</span>.</li>
+  <li><strong>Kinnitamine</strong>: administraator peab kinnitama kommentaarid, enne kui need lehel nähtavaks saavad. Kommentaaride kinnitamine toimub: <span class="pwgScreen">Administreerimine &raquo; Tööriistad &raquo; Ootel kommentaarid</span>.</li>
 
-  <li><strong>Email admins when a valid comment is entered</strong>: Sends an email to the administrators when a user enters a comment and this comment is validated.</li>
+  <li><strong>Teavita admine kui kinnitatud kommentaar on sisestatud</strong>: Saadab emaili administraatoreile kui kasutaja sisestab kommentaari mis on kinnitatud.</li>
 
-  <li><strong>Email admins when a comment requires validation</strong>:
-Sends an email to the administrators when a user enters a comment that requires validation by the admin.
-User comments validation takes place in the screen <span class="pwgScreen">Administration &raquo; Tools &raquo; Pending Comments</span>.</li>
+  <li><strong>Teavita admine kui kommentaar vajab kinnitamist</strong>:
+Saadab emaili administraatoreile kui kasutaja sisestab kommentaari mis vajab kinnitamist admini poolt.
+Kasutajate kommentaaride lubamine toimub lehel: <span class="pwgScreen">Administreerimine &raquo; Tööriistad &raquo; Ootel kommentaarid</span>.</li>
 
 </ul>
 
-<h3>Default display</h3>
+<h3>Kuva seadistamine</h3>
 
-<p>Here you can change display options used by guest, the default user that is not connected. Once connected, these options are overridden by the user's own options
-(modifiable in <span class="pwgScreen">profile</span>).</p>
+<p>Siin saad muuta millisena näevad kuva külastajad, suvalised kasutajad, kes pole sisse logitud. Pärast sisselogimist, näeb iga kasutaja oma valikute järgi kujundust
+(muudetav <span class="pwgScreen">profiilis</span>).</p>
 
-<p>It is possible to change the display options for all existing users on the <span class="pwgScreen">Administration &raquo;
-Users &raquo; Manage</span> screen where you can select a list of users.</p>
+<p>On võimalik muuta kuva valikuid kõigi kasutajate jaoks: <span class="pwgScreen">Administreerimine &raquo;
+Kasutajad &raquo; Halda</span> lehel, kus saad valida kasutajate nimekirja.</p>
 
 <ul>