Index: /extensions/oAuth/admin.php
===================================================================
--- /extensions/oAuth/admin.php	(revision 20323)
+++ /extensions/oAuth/admin.php	(revision 20324)
@@ -6,5 +6,5 @@
 if (!$conf['allow_user_registration'])
 {
-  array_push($page['errors'], l10n('Users are not allowed to register on your gallery. oAuth will not work correctly.'));
+  array_push($page['errors'], l10n('Users are not allowed to register on your gallery. OAuth will not work correctly.'));
 }
 
Index: /extensions/oAuth/admin/providers.php
===================================================================
--- /extensions/oAuth/admin/providers.php	(revision 20323)
+++ /extensions/oAuth/admin/providers.php	(revision 20324)
@@ -1,4 +1,6 @@
 <?php
 defined('OAUTH_PATH') or die('Hacking attempt!');
+
+load_language('help.lang', OAUTH_PATH);
 
 $PROVIDERS_CONFIG = include(OAUTH_PATH . 'include/providers_stats.inc.php');
Index: /extensions/oAuth/admin/template/config.tpl
===================================================================
--- /extensions/oAuth/admin/template/config.tpl	(revision 20323)
+++ /extensions/oAuth/admin/template/config.tpl	(revision 20324)
@@ -81,3 +81,6 @@
 </form>
 
-<p>Icons from http://www.wpzoom.com - Library from http://hybridauth.sourceforge.net/</p>
+<div style="text-align:right;">
+  Icons from : <a href="http://www.wpzoom.com" target="_blank">WPZOOM</a> |
+  Library : <a href="http://hybridauth.sourceforge.net" target="_blank">HybridAuth</a>
+</div>
Index: /extensions/oAuth/admin/template/providers.tpl
===================================================================
--- /extensions/oAuth/admin/template/providers.tpl	(revision 20323)
+++ /extensions/oAuth/admin/template/providers.tpl	(revision 20324)
@@ -89,5 +89,5 @@
         <li>{'On the <b>API Access</b> tab, <b>create an OAuth 2.0 Client ID</b>'|@translate}</li>
         <li>{'Fill out any required fields such as the application name and description'|@translate}</li>
-        <li>{'On the <b>Create Client ID</b> popup switch to advanced settings by clicking on <b>(more options)</b>'|@translate}</li>
+        <li>{'On the <b>Create Client ID</b> popup, switch to advanced settings by clicking on <b>(more options)</b>'|@translate}</li>
       {else}
         <li>{'Fill out any required fields such as the application name and description'|@translate}</li>
@@ -135,3 +135,6 @@
 </form>
 
-<p>Icons from http://www.wpzoom.com - Library from http://hybridauth.sourceforge.net/</p>
+<div style="text-align:right;">
+  Icons from : <a href="http://www.wpzoom.com" target="_blank">WPZOOM</a> |
+  Library : <a href="http://hybridauth.sourceforge.net" target="_blank">HybridAuth</a>
+</div>
Index: /extensions/oAuth/admin/template/style.css
===================================================================
--- /extensions/oAuth/admin/template/style.css	(revision 20323)
+++ /extensions/oAuth/admin/template/style.css	(revision 20324)
@@ -101,5 +101,5 @@
     }
   #help_container div {
-    padding:10px 5px 5px 5px;
+    padding:15px 5px 5px 5px;
   }
   #help_container em {
Index: /extensions/oAuth/language/en_UK/help.lang.php
===================================================================
--- /extensions/oAuth/language/en_UK/help.lang.php	(revision 20324)
+++ /extensions/oAuth/language/en_UK/help.lang.php	(revision 20324)
@@ -0,0 +1,17 @@
+<?php
+
+$lang['Go to <a href="%s" target="_blank">%s</a> and <b>create a new application</b>'] = 'Go to <a href="%s" target="_blank">%s</a> and <b>create a new application</b>';
+$lang['On the <b>API Access</b> tab, <b>create an OAuth 2.0 Client ID</b>'] = 'On the <b>API Access</b> tab, <b>create an OAuth 2.0 Client ID</b>';
+$lang['On the <b>Create Client ID</b> popup, switch to advanced settings by clicking on <b>(more options)</b>'] = 'On the <b>Create Client ID</b> popup, switch to advanced settings by clicking on <b>(more options)</b>';
+$lang['Fill out any required fields such as the application name and description'] = 'Fill out any required fields such as the application name and description';
+$lang['Provide this URL as the Callback/Redirect URL for your application: <em>%s</em>'] = 'Provide this URL as the Callback/Redirect URL for your application: <em>%s</em>';
+$lang['Put your website domain in the %s fields. It should match with the current hostname: <em>%s</em>'] = 'Put your website domain in the %s fields. It should match with the current hostname: <em>%s</em>';
+$lang['Select <em>Website with facebook authentication</em> as application type'] = 'Select <em>Website with facebook authentication</em> as application type';
+$lang['Set the <b>Application Type</b> to <em>Web Application</em>'] = 'Set the <b>Application Type</b> to <em>Web Application</em>';
+$lang['Set the <b>Kind of Application</b> to <em>Web-based</em>'] = 'Set the <b>Kind of Application</b> to <em>Web-based</em>';
+$lang['Set the <b>Access Scopes</b> to <em>This app will only access public...</em>'] = 'Set the <b>Access Scopes</b> to <em>This app will only access public...</em>';
+$lang['Set the <b>Default Access Type</b> to <em>Read only</em>'] = 'Set the <b>Default Access Type</b> to <em>Read only</em>';
+$lang['Once you have registered, copy and past the created application credentials into this setup page'] = 'Once you have registered, copy and past the created application credentials into this setup page';
+$lang['No registration required for OpenID based providers'] = 'No registration required for OpenID based providers';
+
+?>
Index: /extensions/oAuth/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/oAuth/language/en_UK/plugin.lang.php	(revision 20323)
+++ /extensions/oAuth/language/en_UK/plugin.lang.php	(revision 20324)
@@ -1,5 +1,30 @@
 <?php
 
-
+$lang['%s: invalid keys'] = '%s: invalid keys';
+$lang['OpenID must be enabled in order to use %s authentication'] = 'OpenID must be enabled in order to use %s authentication';
+$lang['Users are not allowed to register on your gallery. OAuth will not work correctly.'] = 'Users are not allowed to register on your gallery. OAuth will not work correctly.';
+$lang['Providers'] = 'Providers';
+$lang['Sorry, new registrations are blocked on this gallery.'] = 'Sorry, new registrations are blocked on this gallery.';
+$lang['Authentication canceled'] = 'Authentication canceled';
+$lang['An error occured, please contact the gallery owner. <i>Error code : %s</i>'] = 'An error occured, please contact the gallery owner. <i>Error code : %s</i>';
+$lang['You registered with a %s account, please sign in with the same account.'] = 'You registered with a %s account, please sign in with the same account.';
+$lang['Your registration is almost done, please complete the registration form.'] = 'Your registration is almost done, please complete the registration form.';
+$lang['OAuth: You need to configure the credentials'] = 'OAuth: You need to configure the credentials';
+$lang['OAuth: PHP Curl extension is needed'] = 'OAuth: PHP Curl extension is needed';
+$lang['Display sign in buttons in the menubar'] = 'Display sign in buttons in the menubar';
+$lang['Display sign in buttons on the register page'] = 'Display sign in buttons on the register page';
+$lang['Icon size on the identification page'] = 'Icon size on the identification page';
+$lang['Icon size in the menubar'] = 'Icon size in the menubar';
+$lang['Enabled'] = 'Enabled';
+$lang['Disabled'] = 'Disabled';
+$lang['Sign in with %s'] = 'Sign in with %s';
+$lang['Error...'] = 'Error...';
+$lang['Loading...'] = 'Loading...';
+$lang['Contacting <b>%s</b>. Please wait.'] = 'Contacting <b>%s</b>. Please wait.';
+$lang['Please enter your OpenID URL'] = 'Please enter your OpenID URL';
+$lang['Please enter your username'] = 'Please enter your username';
+$lang['Or sign in with'] = 'Or sign in with';
+$lang['Logged with'] = 'Logged with';
+$lang['Profile URL'] = 'Profile URL';
 
 ?>
Index: /extensions/oAuth/language/fr_FR/help.lang.php
===================================================================
--- /extensions/oAuth/language/fr_FR/help.lang.php	(revision 20324)
+++ /extensions/oAuth/language/fr_FR/help.lang.php	(revision 20324)
@@ -0,0 +1,17 @@
+<?php
+
+$lang['Go to <a href="%s" target="_blank">%s</a> and <b>create a new application</b>'] = 'Allez sur <a href="%s" target="_blank">%s</a> et <b>créez une nouvelle application</b>';
+$lang['On the <b>API Access</b> tab, <b>create an OAuth 2.0 Client ID</b>'] = 'Dans l\'onglet <b>API Access</b>, cliquez sur <b>create an OAuth 2.0 Client ID</b>';
+$lang['On the <b>Create Client ID</b> popup, switch to advanced settings by clicking on <b>(more options)</b>'] = 'Dans le popup <b>Create Client ID</b>, cliquez sur <b>(more options)</b>';
+$lang['Fill out any required fields such as the application name and description'] = 'Remplissez tous les champs demandés comme le nom et la description de l\'application';
+$lang['Provide this URL as the Callback/Redirect URL for your application: <em>%s</em>'] = 'Donnez cette URL comme Callback/Redirect URL pour votre application : <em>%s</em>';
+$lang['Put your website domain in the %s fields. It should match with the current hostname: <em>%s</em>'] = 'Mettez votre nom de domaine dans les chmpas %s. Il doit correspondre à <em>%s</em>';
+$lang['Select <em>Website with facebook authentication</em> as application type'] = 'Choisissez <em>Site web avec authentification facebook</em> comme type d\'application';
+$lang['Set the <b>Application Type</b> to <em>Web Application</em>'] = 'Sélectionnez <em>Web Application</em> pour <b>Application Type</b>';
+$lang['Set the <b>Kind of Application</b> to <em>Web-based</em>'] = 'Sélectionnez <em>Web-based</em> pour <b>Kind of Application</b>';
+$lang['Set the <b>Access Scopes</b> to <em>This app will only access public...</em>'] = 'Sélectionnez <em>This app will only access public...</em> pour <b>Access Scopes</b>';
+$lang['Set the <b>Default Access Type</b> to <em>Read only</em>'] = 'Sélectionnez <em>Read only</em> pour <b>Default Access Type</b>';
+$lang['Once you have registered, copy and past the created application credentials into this setup page'] = 'Quand votre application est enregistrée, copiez-collez les clefs d\'authentification sur cette page';
+$lang['No registration required for OpenID based providers'] = 'Pas d\'inscription nécessaire pour les authentifications type OpenID';
+
+?>
Index: /extensions/oAuth/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/oAuth/language/fr_FR/plugin.lang.php	(revision 20323)
+++ /extensions/oAuth/language/fr_FR/plugin.lang.php	(revision 20324)
@@ -1,5 +1,30 @@
 <?php
 
-
+$lang['%s: invalid keys'] = '%s: clefs invalides';
+$lang['OpenID must be enabled in order to use %s authentication'] = 'OpenID doit être activé pour utiliser l\'authentification %s';
+$lang['Users are not allowed to register on your gallery. OAuth will not work correctly.'] = 'Les utilisateurs ne sont pas autorisés à s\'inscrire sur cette galerie. OAUth ne fonctionnera pas correctement.';
+$lang['Providers'] = 'Fournisseurs';
+$lang['Sorry, new registrations are blocked on this gallery.'] = 'Désolé, les inscriptions sont bloquées sur cette galerie.';
+$lang['Authentication canceled'] = 'Authentification annulée';
+$lang['An error occured, please contact the gallery owner. <i>Error code : %s</i>'] = 'Une erreur est survenue. Veuillez contacter l\'administrateur de la galerie. <i>Error code : %s</i>';
+$lang['You registered with a %s account, please sign in with the same account.'] = 'Vous vous êtes inscrit avec un compte %s. Veuillez vous connecter avec le même compte.';
+$lang['Your registration is almost done, please complete the registration form.'] = 'Vous inscription est presque terminée, merci de compléter le formulaire d\'enregistrement.';
+$lang['OAuth: You need to configure the credentials'] = 'OAuth: Vous devez définir vos clef d\'authentification';
+$lang['OAuth: PHP Curl extension is needed'] = 'OAuth: l\'extension PHP Curl est nécessaire';
+$lang['Display sign in buttons in the menubar'] = 'Afficher les boutons de connexion dans le menu';
+$lang['Display sign in buttons on the register page'] = 'Afficher les boutons de connecion sur la page d\'enregistrement';
+$lang['Icon size on the identification page'] = 'Taille des icônes sur la page d\'identification';
+$lang['Icon size in the menubar'] = 'Taille des icônes dans le menu';
+$lang['Enabled'] = 'Activé';
+$lang['Disabled'] = 'Désactivé';
+$lang['Sign in with %s'] = 'Connexion avec %s';
+$lang['Error...'] = 'Erreur...';
+$lang['Loading...'] = 'Chargement...';
+$lang['Contacting <b>%s</b>. Please wait.'] = 'Contact du serveur <b>%s</b>. Veuillez patienter.';
+$lang['Please enter your OpenID URL'] = 'Veuillez entrer votre URL OpenID';
+$lang['Please enter your username'] = 'Veuillez entrer votre nom d\'utilisateur';
+$lang['Or sign in with'] = 'Ou connectez vous avec';
+$lang['Logged with'] = 'Connecté avec';
+$lang['Profile URL'] = 'URL du profil';
 
 ?>
Index: /extensions/oAuth/main.inc.php
===================================================================
--- /extensions/oAuth/main.inc.php	(revision 20323)
+++ /extensions/oAuth/main.inc.php	(revision 20324)
@@ -112,5 +112,5 @@
     if (!function_exists('curl_init'))
     {
-      array_push($page['errors'], l10n('OAuth: cURL extension is needed'));
+      array_push($page['errors'], l10n('OAuth: PHP Curl extension is needed'));
     }
   }
Index: /extensions/oAuth/template/identification_common.tpl
===================================================================
--- /extensions/oAuth/template/identification_common.tpl	(revision 20323)
+++ /extensions/oAuth/template/identification_common.tpl	(revision 20324)
@@ -9,5 +9,5 @@
     margin:0;
   }
-  #openid_error {
+  #openid_label.error {
     color:red;
     font-weight:bold;
@@ -46,7 +46,7 @@
       switch(idp) {ldelim}
         case 'OpenID':
-          $("#openid_label").html('{'Please enter your OpenID URL'|@translate}'); break;
+          $("#openid_label").html('{'Please enter your OpenID URL'|@translate|escape:javascript}'); break;
         case 'Wordpress': case 'Flickr':
-          $("#openid_label").html('{'Please enter your username'|@translate}'); break;
+          $("#openid_label").html('{'Please enter your username'|@translate|escape:javascript}'); break;
       }
   
@@ -75,8 +75,7 @@
   var oi = $("#openid_form input[name='openid_identifier']").val();
   
-  $("#openid_error").hide();
+  $("#openid_label").removeClass('error');
   if (!oi) {ldelim}
-    $("#openid_error").html("{'Put your username or OpenID on this field'|@translate}").show();
-    $.colorbox.resize()
+    $("#openid_label").addClass('error');
     return false;
   }
@@ -93,4 +92,5 @@
 
 $("#openid_cancel").click(function() {ldelim}
+  $("#openid_label").removeClass('error');
   $.colorbox.close();
   return false;
@@ -110,5 +110,4 @@
       <input type="text" name="openid_identifier" id="openid_identifier" size="50">
     </div>
-    <div id="openid_error" style="display:none;"></div>
     <div>
       <br>