Index: extensions/UserCollections/language/fa_IR/plugin.lang.php
===================================================================
--- extensions/UserCollections/language/fa_IR/plugin.lang.php	(revision 20345)
+++ extensions/UserCollections/language/fa_IR/plugin.lang.php	(revision 20384)
@@ -21,29 +21,59 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['%d more...'] = '%d بیشتر ...';
-$lang['Add to collection'] = 'افزودن به مجموعه';
+$lang['%d more...'] = '%d بیشتر...';
+$lang['Add to collection'] = 'افزودن به کلکسیون';
 $lang['Clear'] = 'پاک کردن';
-$lang['Collection'] = 'مجموعه';
-$lang['Collection name:'] = 'نام مجموعه:';
-$lang['Collections'] = 'مجموعه ها';
+$lang['Collection'] = 'کلکسیون';
+$lang['Collection name:'] = 'نام کلکسیون:';
+$lang['Collections'] = 'کلکسیون‌ها';
 $lang['Copied'] = 'کپی شد';
 $lang['Copy to clipboard'] = 'کپی کردن';
-$lang['Create a new collection'] = 'ایجاد یک مجموعه ی تازه';
-$lang['Invalid collection'] = 'مجموعه ی نامعتبر';
-$lang['Please give a name'] = 'یک نام انتخاب کنید';
+$lang['Create a new collection'] = 'ساخت یک کلکسیون تازه';
+$lang['Invalid collection'] = 'کلکسیون نامعتبر';
+$lang['Please give a name'] = 'یک نام بدهید';
 $lang['Public collection'] = 'همگانی';
-$lang['Remove from collection'] = 'پاک کردن از مجموعه';
-$lang['Return to collections list'] = 'بازگشت به لیست';
+$lang['Remove from collection'] = 'پاک کردن از کلکسیون';
+$lang['Return to collections list'] = 'بازگشت به فهرست';
 $lang['Save'] = 'ذخیره';
-$lang['Saved collections'] = 'مجموعه های ذخیره شده';
-$lang['See all my collections'] = 'مشاهده ی همه ی مجموعه های من';
-$lang['This collection is empty'] = 'این مجموعه خالی می باشد';
-$lang['Unsaved collections'] = 'مجموعه های ذخیره نشده';
-$lang['You have %d collection'] = 'شما %d مجموعه دارید';
-$lang['You have %d collections'] = 'شما %d مجموعه دارید';
-$lang['You have no collection'] = 'شما هیچ مجموعه ای ندارید';
+$lang['Saved collections'] = 'کلکسیون‌های ذخیره شده';
+$lang['See all my collections'] = 'دیدن همه‌ی کلکسیون‌های من';
+$lang['This collection is empty'] = 'این کلکسیون خالی می‌باشد';
+$lang['Unsaved collections'] = 'کلکسیون‌های ذخیره نشده';
+$lang['You have %d collection'] = 'شما %d کلکسیون دارید';
+$lang['You have %d collections'] = 'شما %d کلکسیون دارید';
+$lang['You have no collection'] = 'شما هیچ کلکسیونی ندارید';
 $lang['active'] = 'فعال';
-$lang['by %s'] = 'بوسیله ی %s';
+$lang['by %s'] = 'از %s';
 $lang['save'] = 'ذخیره';
 $lang['set active'] = 'فعال کردن';
+$lang['Your name'] = 'نام شما';
+$lang['Your e-mail'] = 'ایمیل شما';
+$lang['The collection must be public in order to send it'] = 'کلکسیون باید همگانی باشد تا بتوان آنرا فرستاد';
+$lang['Send this collection my mail'] = 'این کلکسیون را به ایمیلم بفرست';
+$lang['Recipient name'] = 'نام دریافت کننده';
+$lang['Recipient e-mail'] = 'ایمیل دریافت کننده';
+$lang['Preview'] = 'پیش نمایش';
+$lang['Please enter your name'] = 'نام خود را بنویسید';
+$lang['Please enter your e-mail'] = 'ایمیل خود را بنویسید';
+$lang['Please enter the recipient name'] = 'نام دریافت کننده را بنویسید';
+$lang['Please enter the recipient e-mail'] = 'ایمیل دریافت کننده را بنویسید';
+$lang['Number of images'] = 'شمار عکس‌ها';
+$lang['Message (optional)'] = 'پیام (دلخواه)';
+$lang['Inactive'] = 'غیرفعال';
+$lang['Hello <b>%s</b>, %s sent you a photos collection from <a href="%s">%s</a>'] = 'درود <b>%s</b>، %s یک کلکسیون عکس از <a href="%s">%s</a> برایتان فرستاده است';
+$lang['Fields'] = 'فیلدها';
+$lang['Export image list'] = 'بیرون کشیدن این کلکسیون';
+$lang['Error while sending e-mail'] = 'خطا در فرستادن ایمیل';
+$lang['Edit this collection'] = 'ویرایش این کلکسیون';
+$lang['E-mail sent successfully'] = 'ایمیل فرستاده شد';
+$lang['Download CSV file'] = 'دانلود پرونده‌ی CSV';
+$lang['Delete this collection'] = 'پاک کردن این کلکسیون';
+$lang['Date added to collection, new &rarr; old'] = 'تاریخ افزوده شدن در کلکسیون، تازه &rarr; قدیمی';
+$lang['Date added to collection, old &rarr; new'] = 'تاریخ افزوده شدن در کلکسیون، قدیمی &rarr; تازه';
+$lang['Click here to view the complete collection'] = 'برای دیدن همه‌ی کلکسیون اینجا کلیک کنید';
+$lang['Clear this collection'] = 'خالی کردن این کلکسیون';
+$lang['Allow users to set their collections as public'] = 'کاربران بتوانند کلکسیون‌های خود را همگانی کنند';
+$lang['A photo collection by %s'] = 'یک کلکسیونِ عکس از %s';
+$lang['Active'] = 'فعال';
+$lang['Allow users to send their public collections by mail'] = 'کاربران بتوانند کلکسیون‌های همگانیشان را با ایمیل بفرستند';
 ?>