Index: extensions/SocialButtons/include/pinterest.inc.php
===================================================================
--- extensions/SocialButtons/include/pinterest.inc.php	(revision 20405)
+++ extensions/SocialButtons/include/pinterest.inc.php	(revision 20406)
@@ -14,5 +14,4 @@
   // config
   $tpl_vars['PINTEREST'] = $conf['SocialButtons']['pinterest'];
-  $tpl_vars['PINTEREST']['copyright'] = ' (from <a href="'.$root_url.'">'.$conf['gallery_title'].'</a>)';
   $tpl_vars['PINTEREST']['title'] = $picture['current']['TITLE'];
   
Index: extensions/SocialButtons/include/tumblr.inc.php
===================================================================
--- extensions/SocialButtons/include/tumblr.inc.php	(revision 20405)
+++ extensions/SocialButtons/include/tumblr.inc.php	(revision 20406)
@@ -6,20 +6,6 @@
   global $conf, $template;
   
-  $tumblr_css = array(
-    'share_1' => 'width:81px; height:20px;',
-    'share_2' => 'width:61px; height:20px;',
-    'share_3' => 'width:129px; height:20px;',
-    'share_4' => 'width:20px; height:20px;',
-    'share_1T' => 'width:81px; height:20px;',
-    'share_2T' => 'width:61px; height:20px;',
-    'share_3T' => 'width:129px; height:20px;',
-    'share_4T' => 'width:20px; height:20px;',
-    );
-  
-  
   // config
   $tpl_vars['TUMBLR'] = $conf['SocialButtons']['tumblr'];
-  $tpl_vars['TUMBLR']['css'] = $tumblr_css[ $conf['SocialButtons']['tumblr']['type'] ];
-  $tpl_vars['TUMBLR']['copyright'] = ' (from <a href="'.$root_url.'">'.$conf['gallery_title'].'</a>)';
   
   // button on piture page
Index: extensions/SocialButtons/main.inc.php
===================================================================
--- extensions/SocialButtons/main.inc.php	(revision 20405)
+++ extensions/SocialButtons/main.inc.php	(revision 20406)
@@ -118,4 +118,5 @@
     'share_url' => $share_url,
     'position' => $conf['SocialButtons']['position'],
+    'copyright' => ' (from <a href="'.$root_url.'">'.$conf['gallery_title'].'</a>)',
     );
   $buttons = array();
@@ -154,5 +155,8 @@
   
   
-  $template->assign('SOCIALBUTT', $tpl_vars);
+  $template->assign(array(
+    'SOCIALBUTT' => $tpl_vars,
+    'SOCIALBUTT_PATH' => SOCIALBUTT_PATH,
+    ));
   
   // parse buttons
Index: extensions/SocialButtons/template/facebook.tpl
===================================================================
--- extensions/SocialButtons/template/facebook.tpl	(revision 20405)
+++ extensions/SocialButtons/template/facebook.tpl	(revision 20406)
@@ -1,9 +1,9 @@
 {strip}
 {footer_script}jQuery('body').prepend('<div id="fb-root"></div>');{/footer_script}
-{combine_script id='facebook_jssdk' load='async' path='https://connect.facebook.net/'|cat:$SOCIALBUTT.FACEBOOK.lang|cat:'/all.js#xfbml=1'}
+{combine_script id='facebook_jssdk' load='footer' path='https://connect.facebook.net/'|cat:$SOCIALBUTT.FACEBOOK.lang|cat:'/all.js#xfbml=1'}
 
 {if $SOCIALBUTT.FACEBOOK.layout=='none'}
 {html_style}{literal}
-.fb-like span { height: 22px !important; overflow: hidden; margin-right:10px; }
+.fb-like span { height: 22px !important; overflow: hidden !important; margin-right:10px; }
 .fb-like iframe { top: -41px; }
 {/literal}{/html_style}
Index: extensions/SocialButtons/template/google.tpl
===================================================================
--- extensions/SocialButtons/template/google.tpl	(revision 20405)
+++ extensions/SocialButtons/template/google.tpl	(revision 20406)
@@ -3,4 +3,4 @@
 
 <script type="text/javascript">window.___gcfg = {ldelim}lang: '{$SOCIALBUTT.GOOGLE.lang}'};</script>
-<div class="g-plusone" data-size="{$SOCIALBUTT.GOOGLE.size}" data-annotation="{$SOCIALBUTT.GOOGLE.annotation}" data-href="{$SOCIALBUTT.share_url}"></div>
+<div style="display:inline-block;" class="g-plusone" data-size="{$SOCIALBUTT.GOOGLE.size}" data-annotation="{$SOCIALBUTT.GOOGLE.annotation}" data-href="{$SOCIALBUTT.share_url}"></div>
 {/strip}
Index: extensions/SocialButtons/template/pinterest.tpl
===================================================================
--- extensions/SocialButtons/template/pinterest.tpl	(revision 20405)
+++ extensions/SocialButtons/template/pinterest.tpl	(revision 20406)
@@ -2,5 +2,5 @@
 {combine_script id='pinterest_pinit' path='http://assets.pinterest.com/js/pinit.js'}
 
-<a href="http://pinterest.com/pin/create/button/?url={$SOCIALBUTT.share_url|urlencode}&media={$SOCIALBUTT.PINTEREST.source|urlencode}&description={$SOCIALBUTT.PINTEREST.title|urlencode}{$SOCIALBUTT.PINTEREST.copyright|urlencode}" 
+<a href="http://pinterest.com/pin/create/button/?url={$SOCIALBUTT.share_url|urlencode}&media={$SOCIALBUTT.PINTEREST.source|urlencode}&description={$SOCIALBUTT.PINTEREST.title|cat:$SOCIALBUTT.copyright|urlencode}" 
   class="pin-it-button" count-layout="{$SOCIALBUTT.PINTEREST.layout}"><img border="0" src="http://assets.pinterest.com/images/PinExt.png" title="Pin It"/></a>
 {/strip}
Index: extensions/SocialButtons/template/tumblr.tpl
===================================================================
--- extensions/SocialButtons/template/tumblr.tpl	(revision 20405)
+++ extensions/SocialButtons/template/tumblr.tpl	(revision 20406)
@@ -4,8 +4,8 @@
 {if $SOCIALBUTT.TUMBLR.mode=='photo'}
 {capture assign="inline_tags"}{foreach from=$related_tags item=tag name=tag_loop}{if !$smarty.foreach.tag_loop.first},{/if}{$tag.name}{/foreach}{/capture}
-<a href="http://www.tumblr.com/share/photo?source={$SOCIALBUTT.TUMBLR.source|urlencode}&caption={$SOCIALBUTT.TUMBLR.title|urlencode}{$SOCIALBUTT.TUMBLR.copyright|urlencode}&clickthru={$SOCIALBUTT.share_url|urlencode}&tags={$inline_tags|urlencode}"
+<a href="http://www.tumblr.com/share/photo?source={$SOCIALBUTT.TUMBLR.source|urlencode}&caption={$SOCIALBUTT.TUMBLR.title|cat:$SOCIALBUTT.copyright|urlencode}&clickthru={$SOCIALBUTT.share_url|urlencode}&tags={$inline_tags|urlencode}"
 {else}
-<a href="http://www.tumblr.com/share/link?url={$SOCIALBUTT.share_url|urlencode}&name={$SOCIALBUTT.TUMBLR.title|urlencode}&description={$CONTENT_DESCRIPTION|urlencode}{$SOCIALBUTT.TUMBLR.copyright|urlencode}"
+<a href="http://www.tumblr.com/share/link?url={$SOCIALBUTT.share_url|urlencode}&name={$SOCIALBUTT.TUMBLR.title|urlencode}&description={$CONTENT_DESCRIPTION|cat:$SOCIALBUTT.copyright|urlencode}"
 {/if}
-style="display:inline-block;text-indent:-9999px;overflow:hidden;{$SOCIALBUTT.TUMBLR.css}background:url('http://platform.tumblr.com/v1/{$SOCIALBUTT.TUMBLR.type}.png') top left no-repeat transparent;">Tumblr</a>
+><img src="http://platform.tumblr.com/v1/{$SOCIALBUTT.TUMBLR.type}.png" alt="Share on Tumblr"></a>
 {/strip}
Index: extensions/SocialButtons/template/twitter.tpl
===================================================================
--- extensions/SocialButtons/template/twitter.tpl	(revision 20405)
+++ extensions/SocialButtons/template/twitter.tpl	(revision 20406)
@@ -2,6 +2,7 @@
 {combine_script id='twitter_widgets' load='footer' path='http://platform.twitter.com/widgets.js'}
 
-<a href="https://twitter.com/share" class="twitter-share-button" 
+<a href="https://twitter.com/share?url={$SOCIALBUTT.share_url}&text={$PAGE_TITLE|cat:' | '|cat:$GALLERY_TITLE}{if $SOCIALBUTT.TWITTER.via}&via={$SOCIALBUTT.TWITTER.via}{/if}" 
   data-url="{$SOCIALBUTT.share_url}" data-lang="{$SOCIALBUTT.TWITTER.lang}" data-via="{$SOCIALBUTT.TWITTER.via}"
-  data-size="{$SOCIALBUTT.TWITTER.size}" data-count="{$SOCIALBUTT.TWITTER.count}">Tweet</a>
+  data-size="{$SOCIALBUTT.TWITTER.size}" data-count="{$SOCIALBUTT.TWITTER.count}" class="twitter-share-button">
+  <img src="{$ROOT_PATH}{$SOCIALBUTT_PATH}template/images/twitter_{$SOCIALBUTT.TWITTER.size}.png" alt="Share on Twitter"></a>
 {/strip}