Index: /extensions/gvideo/language/ar_SA/description.txt
===================================================================
--- /extensions/gvideo/language/ar_SA/description.txt	(revision 20407)
+++ /extensions/gvideo/language/ar_SA/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-اضافة مقاطع فيديو من : Dailymotion, Youtube, Wideo, Vimeo, videobb or Wat
+اضافة مقاطع فيديو من : Dailymotion, Youtube, Wideo, Vimeo or Wat
Index: /extensions/gvideo/language/bg_BG/description.txt
===================================================================
--- /extensions/gvideo/language/bg_BG/description.txt	(revision 20407)
+++ /extensions/gvideo/language/bg_BG/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Добавяне на видео от Dailymotion, Youtube, Vimeo, Wideo, videobb и Wat.
+Добавяне на видео от Dailymotion, Youtube, Vimeo, Wideo и Wat.
Index: /extensions/gvideo/language/ca_ES/description.txt
===================================================================
--- /extensions/gvideo/language/ca_ES/description.txt	(revision 20407)
+++ /extensions/gvideo/language/ca_ES/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Permet afegir vídeos de Dailymotion, Youtube, Wideo, Vimeo, videobb o Wat.
+Permet afegir vídeos de Dailymotion, Youtube, Wideo, Vimeo o Wat.
Index: /extensions/gvideo/language/cs_CZ/description.txt
===================================================================
--- /extensions/gvideo/language/cs_CZ/description.txt	(revision 20407)
+++ /extensions/gvideo/language/cs_CZ/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Umožňuje vložení video souborů z Youtube, Dailymotion, Wideo, Vimeo, videobb nebo Wat.
+Umožňuje vložení video souborů z Youtube, Dailymotion, Wideo, Vimeo nebo Wat.
Index: /extensions/gvideo/language/da_DK/description.txt
===================================================================
--- /extensions/gvideo/language/da_DK/description.txt	(revision 20407)
+++ /extensions/gvideo/language/da_DK/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Tilføj videoer fra Dailymotion, YouTube, Vimeo, Wideo, videobb og Wat.
+Tilføj videoer fra Dailymotion, YouTube, Vimeo, Wideo og Wat.
Index: /extensions/gvideo/language/de_DE/description.txt
===================================================================
--- /extensions/gvideo/language/de_DE/description.txt	(revision 20407)
+++ /extensions/gvideo/language/de_DE/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Gibt die Möglichkeit Videos von Dailymotion, Youtube, Wideo, Vimeo, videobb oder Wat hinzuzufügen.
+Gibt die Möglichkeit Videos von Dailymotion, Youtube, Wideo, Vimeo oder Wat hinzuzufügen.
Index: /extensions/gvideo/language/el_GR/description.txt
===================================================================
--- /extensions/gvideo/language/el_GR/description.txt	(revision 20407)
+++ /extensions/gvideo/language/el_GR/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Προσθήκη βίντεο από το Dailymotion, YouTube, Vimeo, Wideo, videobb και Wat.
+Προσθήκη βίντεο από το Dailymotion, YouTube, Vimeo, Wideo και Wat.
Index: /extensions/gvideo/language/en_UK/description.txt
===================================================================
--- /extensions/gvideo/language/en_UK/description.txt	(revision 20407)
+++ /extensions/gvideo/language/en_UK/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Add videos from Dailymotion, Youtube, Vimeo, Wideo, videobb and Wat.
+Add videos from Dailymotion, Youtube, Vimeo, Wideo and Wat.
Index: /extensions/gvideo/language/es_ES/description.txt
===================================================================
--- /extensions/gvideo/language/es_ES/description.txt	(revision 20407)
+++ /extensions/gvideo/language/es_ES/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Añadir videos de Dailymotion, Youtube, Wideo, Vimeo, videobb o Wat.
+Añadir videos de Dailymotion, Youtube, Wideo, Vimeo o Wat.
Index: /extensions/gvideo/language/fr_FR/description.txt
===================================================================
--- /extensions/gvideo/language/fr_FR/description.txt	(revision 20407)
+++ /extensions/gvideo/language/fr_FR/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Ajoute des vidéos depuis Dailymotion, Youtube, Vimeo, Wideo, videobb et Wat
+Ajoute des vidéos depuis Dailymotion, Youtube, Vimeo, Wideo et Wat
Index: /extensions/gvideo/language/hu_HU/description.txt
===================================================================
--- /extensions/gvideo/language/hu_HU/description.txt	(revision 20407)
+++ /extensions/gvideo/language/hu_HU/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Videok hozzáadása: Dailymotion, Youtube, Wideo, Vimeo, videobb és Wat.
+Videok hozzáadása: Dailymotion, Youtube, Wideo, Vimeo és Wat.
Index: /extensions/gvideo/language/it_IT/description.txt
===================================================================
--- /extensions/gvideo/language/it_IT/description.txt	(revision 20407)
+++ /extensions/gvideo/language/it_IT/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Aggiungi video da Dailymotion, Youtube, Vimeo, Wideo, videobb e Wat sulla galleria.
+Aggiungi video da Dailymotion, Youtube, Vimeo, Wideo e Wat sulla galleria.
Index: /extensions/gvideo/language/lv_LV/description.txt
===================================================================
--- /extensions/gvideo/language/lv_LV/description.txt	(revision 20407)
+++ /extensions/gvideo/language/lv_LV/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Pievieno video no Dailymotion, Youtube, Wideo, Vimeo, videobb or Wat.
+Pievieno video no Dailymotion, Youtube, Wideo, Vimeo or Wat.
Index: /extensions/gvideo/language/nb_NO/description.txt
===================================================================
--- /extensions/gvideo/language/nb_NO/description.txt	(revision 20407)
+++ /extensions/gvideo/language/nb_NO/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Legger til videoer fra Dailymotion, Youtube, Wideo, Vimeo, videobb eller Wat.
+Legger til videoer fra Dailymotion, Youtube, Wideo, Vimeo eller Wat.
Index: /extensions/gvideo/language/nl_NL/description.txt
===================================================================
--- /extensions/gvideo/language/nl_NL/description.txt	(revision 20407)
+++ /extensions/gvideo/language/nl_NL/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Voegt enkele videos van Dailymotion, Youtube, Wideo, Vimeo, videobb of Wat toe.
+Voegt enkele videos van Dailymotion, Youtube, Wideo, Vimeo of Wat toe.
Index: /extensions/gvideo/language/pl_PL/description.txt
===================================================================
--- /extensions/gvideo/language/pl_PL/description.txt	(revision 20407)
+++ /extensions/gvideo/language/pl_PL/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Dodaje wsparcie dla Dailymotion, Youtube, Wideo, Vimeo, videobb lub Wat.
+Dodaje wsparcie dla Dailymotion, Youtube, Wideo, Vimeo lub Wat.
Index: /extensions/gvideo/language/pt_BR/description.txt
===================================================================
--- /extensions/gvideo/language/pt_BR/description.txt	(revision 20407)
+++ /extensions/gvideo/language/pt_BR/description.txt	(revision 20408)
@@ -1,2 +1,2 @@
 
-Adicione vídeos do Dailymotion, Youtube, Vimeo, Wideo, videobb e Wat.
+Adicione vídeos do Dailymotion, Youtube, Vimeo, Wideo e Wat.
Index: /extensions/gvideo/language/pt_PT/description.txt
===================================================================
--- /extensions/gvideo/language/pt_PT/description.txt	(revision 20407)
+++ /extensions/gvideo/language/pt_PT/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Adiciona vídeos de Dailymotion, Youtube, Wideo, Vimeo, videobb or Wat.
+Adiciona vídeos de Dailymotion, Youtube, Wideo, Vimeo or Wat.
Index: /extensions/gvideo/language/ru_RU/description.txt
===================================================================
--- /extensions/gvideo/language/ru_RU/description.txt	(revision 20407)
+++ /extensions/gvideo/language/ru_RU/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Вставка видео-роликов Dailymotion, Youtube, Wideo, Vimeo, videobb или Wat.
+Вставка видео-роликов Dailymotion, Youtube, Wideo, Vimeo или Wat.
Index: /extensions/gvideo/language/sh_RS/description.txt
===================================================================
--- /extensions/gvideo/language/sh_RS/description.txt	(revision 20407)
+++ /extensions/gvideo/language/sh_RS/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Dodaje video sa sajtova: Dailymotion, Youtube, Wideo, Vimeo, videobb ili Wat.
+Dodaje video sa sajtova: Dailymotion, Youtube, Wideo, Vimeo ili Wat.
Index: /extensions/gvideo/language/sk_SK/description.txt
===================================================================
--- /extensions/gvideo/language/sk_SK/description.txt	(revision 20407)
+++ /extensions/gvideo/language/sk_SK/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Umožňuje vloženie video súborov z Youtube, Dailymotion, Wideo, Vimeo, videobb alebo Wat.
+Umožňuje vloženie video súborov z Youtube, Dailymotion, Wideo, Vimeo alebo Wat.
Index: /extensions/gvideo/language/sv_SE/description.txt
===================================================================
--- /extensions/gvideo/language/sv_SE/description.txt	(revision 20407)
+++ /extensions/gvideo/language/sv_SE/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Lägg till videor från Dailymotion, Youtube, Wideo, Vimeo, videobb or Wat.
+Lägg till videor från Dailymotion, Youtube, Wideo, Vimeo or Wat.
Index: /extensions/gvideo/language/tr_TR/description.txt
===================================================================
--- /extensions/gvideo/language/tr_TR/description.txt	(revision 20407)
+++ /extensions/gvideo/language/tr_TR/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Dailymotion, Youtube, Wideo, Vimeo, videobb yada Wat 'den videolar ekleyin.
+Dailymotion, Youtube, Wideo, Vimeo yada Wat 'den videolar ekleyin.
Index: /extensions/gvideo/language/uk_UA/description.txt
===================================================================
--- /extensions/gvideo/language/uk_UA/description.txt	(revision 20407)
+++ /extensions/gvideo/language/uk_UA/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Додає деякі відео з Dailymotion, Youtube, Wideo, Vimeo, videobb або Wat.
+Додає деякі відео з Dailymotion, Youtube, Wideo, Vimeo або Wat.
Index: /extensions/gvideo/language/vi_VN/description.txt
===================================================================
--- /extensions/gvideo/language/vi_VN/description.txt	(revision 20407)
+++ /extensions/gvideo/language/vi_VN/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-Thêm phim từ Dailymotion, Youtube, Wideo, Vimeo, videobb hoặc Wat.
+Thêm phim từ Dailymotion, Youtube, Wideo, Vimeo hoặc Wat.
Index: /extensions/gvideo/language/zh_CN/description.txt
===================================================================
--- /extensions/gvideo/language/zh_CN/description.txt	(revision 20407)
+++ /extensions/gvideo/language/zh_CN/description.txt	(revision 20408)
@@ -1,1 +1,1 @@
-从 Dailymotion, Youtube, Wideo, Vimeo, videobb 或 Wat 添加视频。
+从 Dailymotion, Youtube, Wideo, Vimeo 或 Wat 添加视频。